# azure.batch package

## Submodules

- azure.batch.models module
- azure.batch.operations module

## Module contents

class `azure.batch.``BatchServiceClient`(credentials, api_version='2016-07-01.3.1', accept_language='en-US', long_running_operation_retry_timeout=30, generate_client_request_id=True, base_url=None, filepath=None)

  Bases: `object`

  A client for issuing REST requests to the Azure Batch service.

  Variables:

  - config (BatchServiceClientConfiguration) – Configuration for client.
  - application (operations.ApplicationOperations) – Application operations
  - pool (operations.PoolOperations) – Pool operations
  - account (operations.AccountOperations) – Account operations
  - job (operations.JobOperations) – Job operations
  - certificate (operations.CertificateOperations) – Certificate operations
  - file (operations.FileOperations) – File operations
  - job_schedule (operations.JobScheduleOperations) – JobSchedule operations
  - task (operations.TaskOperations) – Task operations
  - compute_node (operations.ComputeNodeOperations) – ComputeNode operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - api_version (str) – Client API Version.
  - accept_language (str) – Gets or sets the preferred language for the response.
  - long_running_operation_retry_timeout (int) – Gets or sets the retry timeout in seconds for Long Running Operations. Default value is 30.
  - generate_client_request_id (bool) – When set to true a unique x-ms-client-request-id value is generated and included in each request. Default is true.
  - base_url (str) – Service URL
  - filepath (str) – Existing config